package com.ym.im.fallback;

import com.ym.im.ImFeignService;
import com.ym.mec.common.entity.ImGroupModel;
import com.ym.mec.common.entity.ImUserModel;
import org.springframework.stereotype.Component;

@Component
public class ImFeignServiceFallback implements ImFeignService {
    @Override
    public Object getUser(ImUserModel userModel) {
        return null;
    }

    @Override
    public Object groupCreate(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupJoin(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupQuit(ImGroupModel groupModel) {
        return null;
    }

    @Override
    public Object groupDismiss(ImGroupModel groupModel) {
        return null;
    }
}
